/*
 * Mangrove Server API
 *
 * Submit and retrieve reviews, as well as aggregate statistics about reviews. More information about the values and types can be found in the [Open Reviews Standard](https://mangrove.reviews/standard). For more description and example usage see [Mangrove Demo UI](https://mangrove.reviews) and [Mangrove Client JS Library](https://js.mangrove.reviews/) for a JavaScript wrapper of this API.
 *
 * The version of the OpenAPI document: 0.1.1
 *
 * Generated by: https://openapi-generator.tech
 */
use serde_derive::{Deserialize, Serialize};

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct BatchReturn {
    #[serde(rename = "issuers", deserialize_with = "Option::deserialize", default)]
    pub issuers: Option<::std::collections::HashMap<String, crate::models::Issuer>>,
    #[serde(rename = "subjects", deserialize_with = "Option::deserialize", default)]
    pub subjects: Option<::std::collections::HashMap<String, crate::models::Subject>>,
}

impl BatchReturn {
    pub fn new(
        issuers: Option<::std::collections::HashMap<String, crate::models::Issuer>>,
        subjects: Option<::std::collections::HashMap<String, crate::models::Subject>>,
    ) -> BatchReturn {
        BatchReturn { issuers, subjects }
    }
}
